Bug 690315 - python occasionally fails to build on machines with more than one core
python occasionally fails to build on machines with more than one core
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dave Malcolm
Petr Šplíchal
:
Depends On:
Blocks: 681878
  Show dependency treegraph
 
Reported: 2011-03-23 17:08 EDT by Dave Malcolm
Modified: 2016-05-31 21:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-2.6.6-16.el6
Doc Type: Bug Fix
Doc Text:
A race condition was discovered in python Makefile.pre.in. The "make" command interprets a make rule with two dependents as two copies of the rule. On machines with more than one core, this could lead to race conditions in which the compiler attempted to read a partially-overwritten file. This resulted in syntax or link errors when attempting to build python on machines with multiple cores. A check has been added to prevent this issue.
Story Points: ---
Clone Of:
: 701277 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2011-03-23 17:08:47 EDT
Description of problem:
There's a race condition in python Makefile.pre.in, which sometimes leads to compile/link errors on machines with more than one core.

See e.g. http://bugs.python.org/issue10013

Fix is trivial and in Fedora:
  http://pkgs.fedoraproject.org/gitweb/?p=python.git;a=blob;f=python-2.7-fix-parallel-make.patch;h=c43e141f9afba45768af85593a2ff41b5a24e464;hb=b95f6cc2ca6a009f97436c6aa16cfd70547353d9
Comment 8 Laura Bailey 2011-05-10 01:56:27 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A race condition was discovered in python Makefile.pre.in. The "make" command interprets a make rule with two dependents as two copies of the rule. On machines with more than one core, this could lead to race conditions in which the compiler attempted to read a partially-overwritten file. This resulted in syntax or link errors when attempting to build python on machines with multiple cores. A check has been added to prevent this issue.
Comment 9 errata-xmlrpc 2011-05-19 07:35:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html
Comment 10 errata-xmlrpc 2011-05-19 09:07:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html

Note You need to log in before you can comment on or make changes to this bug.